c
c
c =========================================================
       subroutine qinit(maxmx,meqn,mbc,mx,xlower,dx,q,maux,aux)
c =========================================================
c
c     # Set initial conditions for q.
c     # Smooth entropy wave hitting a shock
c
c
      implicit double precision (a-h,o-z)
      dimension q(1-mbc:maxmx+mbc, meqn)
      dimension aux(1-mbc:maxmx+mbc, *)
      common /param/ gamma, gamma1
c
c
      do 150 i=1,mx
 	 xcell = xlower + (i-0.5d0)*dx
	 rho = 1.d0 + 10.0d0*dexp(-20*(xcell-0.0d0)**2)
	 q(i,1) = rho
	 q(i,2) = 0.d0
         q(i,3) = rho
  150    continue
c
      return
      end
